import { AbstractUnionTransactionHander } from "./AbstractUnionTransactionHander";
export class CreateUnionMemberTransactionHandler extends AbstractUnionTransactionHander {
    applyTransaction(transaction) {
        const union = this.getUnionOrThrow(transaction.unionId);
        union.members.push({
            unionMemberId: transaction.unionMemberId,
            discriminantValue: transaction.discriminantValue,
        });
    }
}
