import { AbstractTransactionHandler } from "../AbstractTransactionHandler";
export class SetTypeDescriptionTransactionHandler extends AbstractTransactionHandler {
    applyTransaction(transaction) {
        const type = this.getTypeOrThrow(transaction.typeId);
        type.description =
            transaction.description != null && transaction.description.length > 0 ? transaction.description : undefined;
    }
}
